@import "../../scss/variables.scss";

@mixin bottom-navbar-styles($bottom-navbar-palette) {
  $primary-color: map-get($map: $bottom-navbar-palette, $key: "primary-color");
  $secondary-color: map-get($map: $bottom-navbar-palette, $key: "secondary-color");

  .noku-library-bottom-navbar {
    filter: drop-shadow(0px 0px 8px rgba(0, 0, 0, 0.08));
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: $white;
    cursor: pointer;

    &.fab-cutout {
      background: url("data:image/svg+xml;utf8,<svg viewBox=\"0 0 34134 334\" xmlns=\"http://www.w3.org/2000/svg\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" stroke-linejoin=\"round\" stroke-miterlimit=\"2\"><path d=\"M34133.3 0v333.333H0V0h16916.7c.001 82.789 67.213 150 150 150s150-67.213 150-150h16916.7z\" fill=\"%23fff\"/></svg>") no-repeat top center;
      background-size: cover;
    }

    .nav-item {
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      height: 100%;
      position: relative;

      &.no-auto-width {
        flex: 1 auto;
      }

      &.nav-item-casper {
        cursor: unset;
      }

      .nav-item-content {
        // background: black;
        color: black;
        font-size: 1.5rem;
        line-height: 1;
        // width: 24px;
        // height: 24px;

        &.active {
          // background: $primary-color;
          // background: linear-gradient(90deg, $secondary-color, $primary-color);
          color: $primary-color;
        }
      }
    }
  }

  .noku-library-floating-action-button {
    background: $primary-color;
    background: linear-gradient(90deg, $secondary-color, $primary-color);
    border-radius: 100%;
    color: $white;
    position: absolute;
    top: -32px;
    width: 56px;
    height: 56px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    line-height: 1;
  }
}